Index: Makefile
===================================================================
--- Makefile	(revision 330361)
+++ Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	freeradius
 DISTVERSION=	3.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net
 MASTER_SITES=	ftp://ftp.freeradius.org/pub/freeradius/%SUBDIR%/ \
 		ftp://ftp.ntua.gr/pub/net/radius/freeradius/%SUBDIR%/ \
@@ -40,12 +40,11 @@
 PLIST_SUB=	PORTVERSION=${DISTVERSION} LIBVER=0${PORTVERSION:C/\./0/g}
 
 OPTIONS_DEFINE=	USER KERBEROS HEIMDAL HEIMDAL_PORT LDAP MYSQL \
-		PGSQL UNIXODBC FIREBIRD REDIS PYTHON RUBY DHCP \
+		PGSQL UNIXODBC FIREBIRD REDIS PYTHON RUBY \
 		EXPERIMENTAL UDPFROMTO DEVELOPER EDIR PERL REST \
 		FREETDS IDN SSL_PORT
 OPTIONS_DEFAULT=USER PERL
 
-DHCP_DESC=		With DHCP support (EXPERIMENTAL)
 USER_DESC=		Run as user freeradius, group freeradius
 HEIMDAL_DESC=		With Heimdal Kerberos support
 HEIMDAL_PORT_DESC=	With Heimdal Kerberos from ports
@@ -202,18 +201,6 @@
 EXPM=		yes
 .endif
 
-.if ${PORT_OPTIONS:MDHCP}
-IGNORE=		currently fails to build properly with DHCP support
-CONFIGURE_ARGS+=--with-dhcp
-.else
-CONFIGURE_ARGS+=--without-dhcp --without-rlm_dhcp --without-proto_dhcp
-.endif
-
-# DHCP is still experimental
-.if ${PORT_OPTIONS:MDHCP} && empty(PORT_OPTIONS:MEXPERIMENTAL)
-EXPM=		yes
-.endif
-
 # No SMB option yet; rlm_smb is still unbuildable
 .if ${PORT_OPTIONS:MSMB}
 LIB_DEPENDS=	smbclient:${PORTSDIR}/net/samba-libsmbclient
@@ -411,17 +398,6 @@
 	@${REINPLACE_CMD} -e 's|-lkrb5|$$(${KRB5_CONFIG})|g' \
 		${WRKSRC}/src/modules/rlm_krb5/configure
 .endif
-# If DHCP is enabled, enable the DHCP dictionary
-.if ${PORT_OPTIONS:MDHCP}
-	@${REINPLACE_CMD} -Ee 's:^#(.+ dictionary\.dhcp)$$:\1:g' \
-		${WRKSRC}/share/dictionary
-# Clean up (so as not to get an unwanted file in share)
-	@${FIND} -E ${WRKSRC}/share \
-		-regex '.*/dictionary\.(orig|bak)$$' \
-		-delete
-.else
-	@${RM} -fr ${WRKSRC}/src/modules/proto_dhcp/
-.endif
 .if empty(PORT_OPTIONS:MRUBY)
 	@${RM} -fr ${WRKSRC}/src/modules/rlm_ruby/
 .endif
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 330268)
+++ pkg-plist	(working copy)
@@ -1,4 +1,5 @@
 @stopdaemon radiusd
+bin/dhcpclient
 bin/radcrypt
 bin/radclient
 bin/radconf2xml
@@ -25,6 +26,9 @@
 %%LIBDIR%%/libfreeradius-server.a
 %%LIBDIR%%/libfreeradius-server.la
 %%LIBDIR%%/libfreeradius-server.so
+%%LIBDIR%%/proto_dhcp.a
+%%LIBDIR%%/proto_dhcp.la
+%%LIBDIR%%/proto_dhcp.so
 %%LIBDIR%%/proto_vmps.a
 %%LIBDIR%%/proto_vmps.la
 %%LIBDIR%%/proto_vmps.so
@@ -49,6 +53,9 @@
 %%LIBDIR%%/rlm_detail.a
 %%LIBDIR%%/rlm_detail.la
 %%LIBDIR%%/rlm_detail.so
+%%LIBDIR%%/rlm_dhcp.a
+%%LIBDIR%%/rlm_dhcp.la
+%%LIBDIR%%/rlm_dhcp.so
 %%LIBDIR%%/rlm_digest.a
 %%LIBDIR%%/rlm_digest.la
 %%LIBDIR%%/rlm_digest.so
